datablock staticShapeData(visualise_unitShapeData) {
	shapeFile = "./unit.dts";
};

function createCube(%position, %scale, %color) {
	if (%scale $= "") {
		%scale = "1 1 1";
	}

	if (%color $= "") {
		%color = "1 1 1 1";
	}

	%obj = new StaticShape() {
		position = %position;
		datablock = visualise_unitShapeData;
		scale = %scale;
	};

	if (isObject(MissionCleanup)) {
		MissionCleanup.add(%obj);
	}

	%obj.setNodeColor("ALL", %color);
	return %obj;
}

function createLine(%a, %b, %width, %color) {
	if (%width $= "") {
		%width = 1;
	}

	if (%color $= "") {
		%color = "1 1 1 1";
	}

	%offset = vectorSub(%a, %b);
	%normal = vectorNormalize(%offset);

	%xyz = vectorNormalize(vectorCross("1 0 0", %normal));
	%pow = mRadToDeg(mACos(vectorDot("1 0 0", %normal))) * -1;

	%obj = new StaticShape() {
		position = vectorScale(vectorAdd(%a, %b), 0.5);
		rotation = %xyz SPC %pow;

		datablock = visualise_unitShapeData;
		scale = vectorLen(%offset) SPC %width SPC %width;

		a = %a;
		b = %b;
	};

	if (isObject(MissionCleanup)) {
		MissionCleanup.add(%obj);
	}

	%obj.setNodeColor("ALL", %color);
	return %obj;
}
